%define		major		3
%define		libname		%mklibname %{name} %{major}
%define		devname		%mklibname %{name} -d

Name:		evemu
Version:	2.7.0
Release:	%mkrel 3
Summary:	Event Device Query and Emulation Program
Group:		Development/Other
License:	GPLv3+
URL:		http://www.freedesktop.org/wiki/Evemu/
Source0:	http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libevdev) >= 0.5
BuildRequires:	xmlto
BuildRequires:	asciidoc

%description
%{name} is a simple utility to capture the event stream from input devices
and replay that stream on a virtual input device.

#------------------------------------------------------------------

%package -n	%{libname}
Summary:	Event Device Query and Emulation Program Library Package
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs
dynamically linked with evemu.

#------------------------------------------------------------------

%package -n	%{devname}
Summary:	Event Device Query and Emulation Program Development Package
Group:		Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:	python3
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package provides headers files for evemu development.

#------------------------------------------------------------------
%prep
%setup -q

%build
export PYTHON=%{__python3}
autoreconf -vfi
%configure \
		--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc COPYING
%{_bindir}/%{name}-describe
%{_bindir}/%{name}-device
%{_bindir}/%{name}-play
%{_bindir}/%{name}-record
%{_bindir}/%{name}-event
%{_mandir}/man1/%{name}-*.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%dir %{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}/*


%changelog
* Thu Feb 13 2020 daviddavid <daviddavid> 2.7.0-3.mga8
+ Revision: 1513157
- switch to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.7.0-2.mga7
+ Revision: 1297634
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 daviddavid <daviddavid> 2.7.0-1.mga7
+ Revision: 1191310
- new version: 2.7.0

* Mon Apr 04 2016 daviddavid <daviddavid> 2.4.0-1.mga6
+ Revision: 998298
- new version: 2.4.0

* Thu Feb 11 2016 umeabot <umeabot> 2.3.1-2.mga6
+ Revision: 953874
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 892362
- new version: 2.3.1

* Tue Sep 29 2015 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 885204
- new version: 2.2.0
- use python2 macros

* Sun Jul 19 2015 sander85 <sander85> 2.1.0-1.mga6
+ Revision: 855479
- New version: 2.1.0

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 748270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 679046
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 daviddavid <daviddavid> 2.0.0-1.mga5
+ Revision: 666250
- update Url and Source link-url
- fix incorrect libification from devel package
- add BR on pkgconfig(libevdev)
- library major is now 3
- new version: 2.0.0

* Sat May 31 2014 pterjan <pterjan> 1.1.0-3.mga5
+ Revision: 628172
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 525630
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.1.0-1.mga4
+ Revision: 433813
- new release
- new release

* Fri Jan 11 2013 umeabot <umeabot> 1.0.10-3.mga3
+ Revision: 349793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 matteo <matteo> 1.0.10-2.mga3
+ Revision: 283515
- fixed url

* Thu Aug 23 2012 matteo <matteo> 1.0.10-1.mga3
+ Revision: 283315
- added missing provide
- imported package evemu

